/*
   Fixed-size web application
   Uses rem units for proportional scaling during development
   Layout is intentionally non-responsive
*/

/*   **********    SETUP OF DOCUMENT     **********     */

html {
    /* FINAL SIZE FOR MAKING IT 1920x1080 */
    font-size: 16px;
    /* SIZE FOR DEVELOPMENT */
    /* comment below out for final submission */
    /* can change based on size needed */
}

body {
    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
}

/*   **********    MAIN ELEMENTS     **********     */

main {
    width: 120.0rem;
    height: 67.5rem;
    margin: 0 auto;
    display: grid;
    grid-template-columns: 42.0rem 78.0rem;
    grid-template-rows: 62.5rem 5.0rem;
}

/*   **********    Container ELEMENTS     **********     */


/* LOGO PANE */
.left-side {
    background-color: #BBB;
    display: grid;
    grid-template-rows: 12.5rem 12.5rem 37.5rem;
}

.top-logo {
    background-color: white;
    height: 7.375rem;
    width: 42.0rem;
    padding: 1rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;

}

.top-logo img {
    width: 100%;
    height: auto;
    padding: 0.5rem;
}

.dc-logo {
    background-color: #137a5f;
    height: 7.375rem;
    width: 15.625rem;
}

.bottom-time {
    border-top: #0B8261 solid 0.4rem;
    background-color: white;
    height: 5.125rem;
    width: 42.0rem;
    display: flex;
    flex-direction: row;
    font-size: 2.5rem;
    text-align: center;
    align-items: center;
    justify-content: space-between;
    padding: 0.4rem;
    overflow: hidden;
}

.text-dtd {
    z-index: 2;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 41.2rem;
    height: 3.6rem;
    position: absolute;
    justify-content: space-around;
}

.text-dd {
    font-family: "Oswald", sans-serif;
    font-weight: 700;
    text-transform: uppercase;
    font-size: 1.5rem;
    color: #3E2B2F;
    padding-bottom: 0.2rem;
}

.text-time {
    font-family: "Oswald", sans-serif;
    text-transform: uppercase;
    font-weight: 500;
    font-size: 2.5rem;
    color: white;

    padding-bottom: 1rem;
}


.day {
    width: 13.6rem;
    height: 0;

    /* The Height */
    border-bottom: 3.6rem solid #90D5AC;

    /* The Slant: Only on the right */
    border-right: 2.25rem solid transparent;

    /* Left side remains vertical */
    border-left: 0;
}


.time {
    width: 18.1875rem;
    height: 0;
    border-top: 4.5rem solid #0B8261;
    border-left: 2.96875rem solid transparent;
    border-right: 2.96875rem solid transparent;
    padding-bottom: 1rem;
}

.date {
    width: 13.6rem;
    height: 0;

    /* The Height */
    border-bottom: 3.6rem solid #90D5AC;

    /* The Slant: Only on the left */
    border-left: 2.25rem solid transparent;

    /* Right side remains vertical */
    border-right: 0;
}


/* WEATHER PANE */

.right-side {
    background-color: #AAA;
    display: grid;
    grid-template-rows: 43.875rem 18.625rem;
}

/* AD PANE */

/*   **********    MOTION GRAPHIC ADs     **********     */

#gsap-iframe {
    width: 100%;
    height: 100%;

}


/*   **********    Content ELEMENTS     **********     */

.left-side-top {
    height: 12.5rem;
    background-color: #727272;
}

.left-side-middle {
    height: 12.5rem;
    background-color: #ffffff;
}

.left-side-bottom {
    height: 37.5rem;

    overflow: hidden;
}

.right-side-top {
    height: 43.875rem;
    background-color: #ABABAB;
}

.right-side-bottom {
    height: 18.625rem;
    background-color: white;
    overflow: hidden;
}

/* NEWS PANE */
#news-slider {
    width: 100%;
    height: 100%;
    overflow: hidden;

    position: relative;
    /* Creates a transparency gradient on the left and right edges */
    -webkit-mask-image: linear-gradient(to right,

            rgba(0, 0, 0, 1) 90%,
            rgba(0, 0, 0, 0) 100%);
    mask-image: linear-gradient(to right,

            rgba(0, 0, 0, 1) 90%,
            rgba(0, 0, 0, 0) 100%);
}

.news-slide {
    display: flex;
    font-family: lato;
    justify-content: space-between;
    height: 18.625rem;
}

.news-slide>img {
    width: 22.5rem;
    height: 11.25rem;
    margin: auto;
}

.slick-dots {
    bottom: 1rem;
}

.slick-dots li button:before {
    color: green;
}

.slick-dots li.slick-active button:before {
    color: #300570;
}

.newsBG {
    padding: 0.375rem;
    position: absolute;
    width: 78rem;
    height: auto;
}


.news_text {
    position: relative;
    width: 48rem;
    left: 3.125rem;
    top: 6.75rem;
}

.news_headline {
    font-size: 1.5rem;
    font-weight: bold;
    font-family: lato;
    color: #0B8261;
    line-height: 2rem;
    padding-bottom: 0.5rem;
}

.news_para {
    font-size: 1.25rem;
    font-family: lato;
    color: #3E2B2F;
    line-height: 2rem;
}

.news_img {
    position: relative;
    left: 0;
}



/* TICKER PANE */


.bottom {
    grid-column: 1 / -1;
}

#ticker-tape-container {
    width: 100%;
    height: 100%;
}

.ticker_img {
    z-index: 1;
    position: absolute;
    width: 100%;
    height: auto;
}

.ticker_img img {
    width: 120rem;
    height: auto;
}

.marquee {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    overflow: hidden;
    background-color: white;
    margin: 0 13.5rem 0 13.5rem;
}

.meal-icon {
    width: 2rem;
}

.meal {
    color: #0B8261;
    font-family: "Oswald", sans-serif;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 1.5rem;
    padding-left: 1rem;
    padding-right: 1rem;
}


.meals {
    font-family: "Oswald", sans-serif;
    font-weight: 400;
    text-transform: uppercase;
    font-size: 1.5rem;
    color: #3E2B2F;
    padding-right: 2rem;
}

.item-divider {
    color: #3E2B2F;
    font-family: 'oswald', sans-serif;
    font-size: 2rem;
    padding-right: 1rem;
}

/****************** WEATHER ******************/
#weather-container {
    display: flex;
    align-items: center;
    font-family: oswald;
}

.weather-item {
    width: calc(100%/5);
    text-align: center;
    background: linear-gradient(180deg, #021C15 0%, #0B8261 100%);
    color: white;
    padding-top: 1.25rem;
    margin-bottom: 0.425rem;
    margin-right: 0.325rem;
    height: 100%;
}

.weather-item>img {
    height: 4rem;
    width: auto;
}

.weather-day {
    font-size: 1.5rem;
    margin-bottom: 0.8rem;
}

.weather-name {
    margin-top: 0.8rem;
    text-transform: uppercase;
    font-size: 1rem;
    margin-bottom: 0.8rem;
}

.weather-temp {
    font-size: 1.2rem;
}

/****************** YOUTUBE ******************/

.right-side-top {
    position: relative;
    background-color: black;
    overflow: hidden;
}

#youtube-iframe {
    position: absolute;
    width: 78.1rem;
    height: 60rem;
    top: -8rem;
    left: -0.1rem;
}

/*   **********    BRICK WALL / MONITOR     **********   */

body {
    background-image: url(../images/brick_wall.jpg);
    background-size: cover;
    pointer-events: none;
    /* Stops user interaction */
}

main {
    background-color: #000;
}

/* Wrapper slightly larger than main to hold TV frame */
#tv-wrapper {
    width: calc(120rem + 4rem);
    height: calc(67.5rem + 4rem);
    display: flex;
    justify-content: center;
    align-items: center;

    /* TV frame border */
    border: 2rem solid #222;
    /* dark bezel */
    border-radius: 1rem;
    box-shadow:
        0 0 3rem rgba(0, 0, 0, 0.7),
        /* soft shadow for depth */
        inset 0 0 2rem rgba(255, 255, 255, 0.05);
    /* subtle sheen inside */

    background: linear-gradient(to top left,
            rgba(255, 255, 255, 0.05),
            rgba(255, 255, 255, 0));
    /* small highlight */
}
